GET object-storage/buckets/{clusterId}/{bucket}/object-list

linode.com

Summary: Object Storage Bucket Contents List
Operation ID: getObjectStorageBucketContent
Auth: unknown
Description

Returns the contents of a bucket. The contents are paginated using a `marker`, which is the name of the last object on the previous page. Objects may be filtered by `prefix` and `delimiter` as well; see Query Parameters for more information. This endpoint is available for convenience. It is recommended that instead you use the more [fully-featured S3 API](https://docs.ceph.com/en/latest/radosgw/s3/objectops/#get-object) directly.

Parameters (6)

bucket (string, path, required)

The bucket name.

clusterId (string, path, required)

The ID of the cluster this bucket exists in.

delimiter (string, query, optional)

The delimiter for object names; if given, object names will be returned up to the first occurrence of this character. This is most commonly used with the `/` character to allow bucket transversal in a manner similar to a filesystem, however any delimiter may be used. Use in conjunction with `prefix` to see object names past the first occurrence of the delimiter.

marker (string, query, optional)

The "marker" for this request, which can be used to paginate through large buckets. Its value should be the value of the `next_marker` property returned with the last page. Listing bucket contents *does not* support arbitrary page access. See the `next_marker` property in the responses section for more details.

page_size (integer, query, optional, default: 100)

The number of items to return per page.

Constraints: {'minimum': 25, 'maximum': 500}

prefix (string, query, optional)

Filters objects returned to only those whose name start with the given prefix. Commonly used in conjunction with `delimiter` to allow transversal of bucket contents in a manner similar to a filesystem.

No probe data for this endpoint yet.